import { AfterViewInit, ApplicationRef, ComponentFactoryResolver, ElementRef, EventEmitter, Injector, OnChanges, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
export declare class UiAutocompleteDirective implements AfterViewInit, OnInit, OnChanges {
    private componentFactoryResolver;
    private applicationRef;
    private injector;
    private elementRef;
    list: any[];
    ngModel: any;
    modelValue: any;
    modelProperty: any;
    select: Function;
    primary: string;
    secondary: string;
    loading: boolean;
    themeClass: string;
    hideNotFound: boolean;
    hidePanel: boolean;
    loadMore: EventEmitter<any>;
    loadMoreEmmiter: EventEmitter<any>;
    ngModelChange: EventEmitter<any>;
    modelValueChange: EventEmitter<any>;
    selectChange: EventEmitter<any>;
    requiredChange: EventEmitter<any>;
    focusedIndex: number;
    accentClass: boolean;
    componentRef: any;
    componentElement: HTMLElement;
    wrapElement: HTMLElement;
    control: FormControl;
    onChange: Function;
    onTouched: Function;
    constructor(componentFactoryResolver: ComponentFactoryResolver, applicationRef: ApplicationRef, injector: Injector, elementRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: any): void;
    private createComponent;
    private getComponentAsElement;
    private setInstances;
    private render;
    private createWrapElement;
    private setFocusIndex;
    private close;
    private initialize;
    private setPosition;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    validate(control: FormControl): {
        [key: string]: any;
    };
    onInput(): void;
    onFocus(): void;
    onClick(): void;
    onBlur(e: any): void;
    onKeydown(e: any): void;
}
