import { ElementRef, EventEmitter, OnInit, ViewContainerRef, TemplateRef, AfterViewInit, OnChanges } from '@angular/core';
import { UiElement } from '../utils/providers/element.provider';
import { NgModel } from '@angular/forms';
export declare class UiSelectComponent implements OnInit, AfterViewInit, OnChanges {
    element: ElementRef;
    viewContainerRef: ViewContainerRef;
    darkClass: any;
    input: any;
    disabled: any;
    chosen: any;
    ngModelChange: EventEmitter<any>;
    selected: any;
    viewRef: any;
    templateRef: TemplateRef<any>;
    selectNative: any;
    selectedNative: any;
    search: any;
    value: any;
    label: any;
    options: any;
    ngModel: any;
    optionsExternal: any;
    model: NgModel;
    isMobile: typeof UiElement.isMobile;
    constructor(element: ElementRef, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: any): void;
    onFocus(): void;
    onBlur(event: any): void;
    render(coordinate: any): void;
    open(element: any, coordinate: any): void;
    close(): void;
    onChangeSelect(select: any): void;
    selectOption(): void;
    writeValue(): void;
    registerOnChange(): void;
    registerOnTouched(): void;
}
