import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
export declare class UiSliderMultiHandleComponent implements OnInit, AfterViewInit, OnChanges {
    elementRef: ElementRef;
    multiHandle: boolean;
    beginModel: any;
    endModel: any;
    direction: string;
    mouseDown: boolean;
    percentageBlock: number;
    beginElement: HTMLElement;
    endElement: HTMLElement;
    thumbs: HTMLElement;
    bodyElement: HTMLElement;
    htmlElement: HTMLElement;
    getPercentage: Function;
    hideBalloon: boolean;
    disabled: boolean;
    begin: number;
    end: number;
    value: any;
    range: number[];
    color: string;
    textColor: string;
    beginChange: EventEmitter<number>;
    endChange: EventEmitter<number>;
    viewFormat: Function;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    registerEventsListeners(): void;
    change(event: any, mouseUp?: any): void;
    toggleBalloon(active?: any, right?: any): void;
    toggleTackOn(active?: any): void;
    getPositionInIndex(position: any): number;
    closestNumber(number: any): {
        index: number;
        value: number;
    };
    getPercentageLeft(): number;
    getPercentageRight(): number;
}
