import { AfterViewChecked, AfterViewInit, ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
export declare class UiTabHeaderComponent implements OnInit, AfterViewInit, AfterViewChecked {
    private element;
    private changeDetectorRef;
    topIcon: boolean;
    tabsContainer: HTMLElement;
    inkBar: HTMLElement;
    showInkBar: boolean;
    increment: number;
    hasRightScroll: boolean;
    hasLeftScroll: boolean;
    constructor(element: ElementRef, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    /**
     * Move o ink bar para a tab que está ativa
     **/
    moveInkBarTo(tabRef: HTMLElement): void;
    /**
     * Retorna se o scroll left ja saiu da posição 0
     * */
    checkLeftScroll(): boolean;
    /**
     * Retorna se deve exibir o control da direita
     * */
    checkRightScroll(): boolean;
    /**
     * Altera o valor do scroll
     **/
    updateScroll(value: number): void;
}
