import { AfterViewInit, ApplicationRef, ComponentFactoryResolver, ElementRef, Injector } from '@angular/core';
import { UiTimePickerService } from './time-picker.service';
export declare class UiTimePickerCallerDirective implements AfterViewInit {
    private componentFactoryResolver;
    private applicationRef;
    private injector;
    private timePickerService;
    private elementRef;
    timePicker: any;
    componentRef: any;
    componentElement: any;
    pickerOpen: boolean;
    wrapTimePicker: HTMLElement;
    inputElement: HTMLElement;
    pickerEvent: string;
    timePickerCaller: string;
    constructor(componentFactoryResolver: ComponentFactoryResolver, applicationRef: ApplicationRef, injector: Injector, timePickerService: UiTimePickerService, elementRef: ElementRef);
    ngAfterViewInit(): void;
    getComponentAsElement(componentRef: any): HTMLElement;
    setInstances(component: any, componentRef: any): void;
    renderViewClock(element: any, coordinate: any, themeClass: any): void;
    renderTimePicker(component: any, coordinate: any): void;
    closePicker(): void;
}
