import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
/**
 * TODO: Persist tooltip.
 * */
export declare class TooltipDirective implements OnInit, AfterViewInit, OnDestroy {
    private element;
    uiTooltip: string;
    top: boolean;
    left: boolean;
    right: boolean;
    bottom: boolean;
    onShow: Function;
    onHide: Function;
    wrap: HTMLElement;
    class: string;
    constructor(element: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    setClass(): void;
    show(event: any): void;
    hide(): void;
}
