import { AfterViewInit, ElementRef, EventEmitter, OnChanges } from '@angular/core';
import { ControlValueAccessor, FormControl, Validator } from '@angular/forms';
import { UiCpfPipe } from './cpf.pipe';
export declare class UiMaskCpfDirective implements ControlValueAccessor, Validator, AfterViewInit, OnChanges {
    elementRef: ElementRef;
    cpfPipe: UiCpfPipe;
    beforeSelIndex: any;
    control: FormControl;
    input: boolean;
    loaded: boolean;
    symbolsPositions: number[];
    onChange: Function;
    onTouched: Function;
    ngModel: any;
    padOnPaste: boolean;
    uiMaskCpf: any;
    ngModelChange: EventEmitter<any>;
    constructor(elementRef: ElementRef, cpfPipe: UiCpfPipe);
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    format(value: any): any;
    validate(control: FormControl): {
        [key: string]: any;
    };
    setDisabledState(isDisabled: boolean): void;
    cpfIsValid(cpf: any): boolean;
    onKeydown(): void;
    onInput($event: any): void;
    padLeft(event: any): void;
}
