import { OnChanges, AfterViewInit, EventEmitter, ElementRef, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor, Validator, FormControl } from '@angular/forms';
import { UiCreditCardPipe } from '../../../smn-ui.module';
export declare class UiMaskCreditCard implements ControlValueAccessor, Validator, AfterViewInit, OnChanges {
    elementRef: ElementRef;
    creditCardPipe: UiCreditCardPipe;
    private changeDetector;
    loaded: boolean;
    beforeSelIndex: any;
    onChange: Function;
    onTouched: Function;
    control: FormControl;
    symbolsPositions: number[];
    ngModel: any;
    UiMaskCreditCard: any;
    ngModelChange: EventEmitter<any>;
    constructor(elementRef: ElementRef, creditCardPipe: UiCreditCardPipe, changeDetector: ChangeDetectorRef);
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    format(value: any): any;
    validate(control: FormControl): {
        [key: string]: any;
    };
    setDisabledState(isDisabled: boolean): void;
    onKeydown(): void;
    onInput($event: any): void;
}
