import { AfterViewInit, ElementRef, EventEmitter, OnChanges } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { UiFloatPipe } from './float.pipe';
export declare class UiMaskFloatDirective implements ControlValueAccessor, AfterViewInit, OnChanges {
    elementRef: ElementRef;
    floatPipe: UiFloatPipe;
    loaded: boolean;
    input: boolean;
    beforeViewValue: any;
    beforeSelIndex: any;
    onChange: Function;
    onTouched: Function;
    control: FormControl;
    uiMaskFloat: number;
    decimal: number;
    max: number;
    min: number;
    ngModel: any;
    noNegative: boolean;
    ngModelChange: EventEmitter<any>;
    constructor(elementRef: ElementRef, floatPipe: UiFloatPipe);
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    format(value: any): number;
    formatViewValue(value: any): any;
    validate(control: FormControl): {
        [key: string]: any;
    };
    setDisabledState(isDisabled: boolean): void;
    onKeydown(): void;
    onInput($event: any): void;
}
