import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
export declare class UiMaskIntegerDirective implements ControlValueAccessor, AfterViewInit, OnChanges, OnInit {
    elementRef: ElementRef;
    loaded: boolean;
    input: boolean;
    onChange: Function;
    onTouched: Function;
    control: FormControl;
    ngModel: any;
    ngModelChange: EventEmitter<any>;
    uiMaskInteger: any;
    min: number;
    max: number;
    constructor(elementRef: ElementRef);
    ngOnChanges(changes: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    format(value: any): any;
    validate(control: FormControl): {
        [key: string]: any;
    };
    setDisabledState(isDisabled: boolean): void;
    onInput($event: any): void;
}
