import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl, Validator } from '@angular/forms';
import { UiPhonePipe } from './phone.pipe';
export declare class UiMaskPhoneDirective implements ControlValueAccessor, Validator, AfterViewInit, OnChanges, OnInit {
    elementRef: ElementRef;
    phonePipe: UiPhonePipe;
    loaded: boolean;
    input: boolean;
    beforeSelIndex: any;
    onChange: Function;
    onTouched: Function;
    control: FormControl;
    symbolsPositions: number[];
    maxLength: number;
    ngModel: any;
    uiMaskPhone: any;
    ngModelChange: EventEmitter<any>;
    constructor(elementRef: ElementRef, phonePipe: UiPhonePipe);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    format(value: any): any;
    validate(control: FormControl): {
        [key: string]: any;
    };
    setDisabledState(isDisabled: boolean): void;
    onKeydown(): void;
    onInput($event: any): void;
}
