export declare class UiElement {
    static caretPosition: {
        get: typeof getCaretPosition;
        set: typeof setCaretPosition;
    };
    static classList: {
        remove: typeof removeClass;
        add: typeof addClass;
        contains: typeof containsClass;
    };
    static disableScroll(): any;
    static enableScroll(): any;
    static closest(el: any, selector: any): any;
    static index(el: any): any;
    static trigger(el: any, eventToTrigger: any): any;
    static on(el: any, events: any, listener: any): any;
    static off(el: any, events: any, listener: any): any;
    static is(el: any, selector: any): any;
    static position(el: any, withoutScroll?: any): any;
    static offset(el: any): any;
    static animate(object: any, property: any, start_value: any, end_value: any, time: any, end?: any, tick?: any): any;
    static css(el: any, styleProp: any, newValue?: any): any;
    static isInViewport(el: any): boolean;
    static focus(el: any): void;
    static isMobile(): boolean;
}
export declare function getCaretPosition(el: any): any;
export declare function setCaretPosition(el: any, beforeSelIndex: any, afterSelIndex: any, symbolsPositions?: any): any;
export declare function removeClass(el: any, className: any): any;
export declare function addClass(el: any, className: any): any;
export declare function containsClass(el: any, className: any): any;
