import { AfterViewInit, ChangeDetectorRef, ElementRef } from '@angular/core';
import { Subject } from 'rxjs';
import { UiDatetimeService } from './datetime.service';
export declare class UiCalendarContentComponent implements AfterViewInit {
    datetimeService: UiDatetimeService;
    elementRef: ElementRef;
    private changeDetectorRef;
    maxDate: Date;
    minDate: Date;
    calendar: any;
    ngModel: any;
    events: any[];
    chosenDate: any;
    days: any;
    months: any;
    confirmSelection: boolean;
    chosen: Subject<any>;
    constructor(datetimeService: UiDatetimeService, elementRef: ElementRef, changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    getSibling(index: any): any[];
    isDay(value: any): boolean;
    chooseDate(value: any): void;
    isDisabled(value: any): boolean;
    verifyEventDates(): void;
    isBright(color: any): boolean;
}
