import { ComponentFactoryResolver, EventEmitter, OnChanges, OnInit } from '@angular/core';
import { UiAddCalendarDirective } from './add-calendar.directive';
import { UiDatetimeService } from './datetime.service';
import { Subject } from 'rxjs';
export declare class UiCalendarComponent implements OnInit, OnChanges {
    componentFactoryResolver: ComponentFactoryResolver;
    datetimeService: UiDatetimeService;
    ngModel: any;
    maxDate: Date;
    minDate: Date;
    hideHeader: boolean;
    initOnSelected: Date;
    confirmSelection: boolean;
    select: EventEmitter<any>;
    selectDateChange: EventEmitter<any>;
    cancel: EventEmitter<any>;
    ngModelChange: EventEmitter<any>;
    updateMonth: EventEmitter<any>;
    addCalendar: UiAddCalendarDirective;
    chosen: Subject<any>;
    calendar: any;
    days: any;
    shortDays: any;
    months: any;
    viewDate: Date;
    chosenDate: any;
    componentRef: any;
    constructor(componentFactoryResolver: ComponentFactoryResolver, datetimeService: UiDatetimeService);
    ngOnInit(): void;
    ngOnChanges(value: any): void;
    prevMonth(): void;
    nextMonth(): void;
    selectDate(value: any): void;
    cancelDate(): void;
    renderCalendar(dateTarget: Date): void;
}
