import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
import { Subject } from 'rxjs/index';
export declare class UiClockComponent implements OnInit, AfterViewInit, OnChanges {
    private element;
    ngModel: any;
    hideHeader: boolean;
    confirmSelection: boolean;
    select: EventEmitter<any>;
    cancel: EventEmitter<any>;
    ngModelChange: EventEmitter<any>;
    chosen: Subject<any>;
    hours: number[];
    minutes: number[];
    hour: number;
    minute: number;
    focused: boolean;
    pointerRotation: number;
    activeSelection: string;
    constructor(element: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(value: any): void;
    formatModel(): void;
    selectTime(close?: boolean): void;
    cancelTime(): void;
    selectHour(hour: any): void;
    selectMinute(minute: any): void;
    isEmpty(): boolean;
    formatToLpad(value: any): string;
    getPositionPointer(): void;
    getPositionTopPointer(): string;
    hasHourAndMinute(): boolean;
    validate(): boolean;
}
