import { EventEmitter, OnChanges, OnInit, OnDestroy, ElementRef, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { UiReferencesService } from './references.service';
import { Subject } from 'rxjs';
export declare class UiDatePickerDirective implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    referencesService: UiReferencesService;
    element: ElementRef;
    private changeDetectorRef;
    ngModel: any;
    maxDate: Date;
    minDate: Date;
    events: any;
    initOnSelected: Date;
    confirmSelection: boolean;
    themeClass: string;
    datePicker: string;
    select: EventEmitter<any>;
    selectDateChange: EventEmitter<any>;
    ngModelChange: EventEmitter<any>;
    chosen: Subject<any>;
    constructor(referencesService: UiReferencesService, element: ElementRef, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(value: any): void;
    ngOnDestroy(): void;
}
