import { ElementRef, EventEmitter } from '@angular/core';
import { NgControl } from '@angular/forms';
export declare class UiInputFileDirective {
    element: ElementRef;
    ngControl: NgControl;
    files: any;
    model: any;
    accept: string;
    read: Function;
    error: Function;
    fileChange: Function;
    maxSize: string;
    maxFileSize: string;
    filesChange: EventEmitter<any>;
    modelChange: EventEmitter<any>;
    constructor(element: ElementRef, ngControl: NgControl);
    onChange(e: any): void;
    readFiles(files: any): void;
    validateType(file: any, extension: any, accepts: any): boolean;
    validateMaxSize(size: any, maxSize: any): boolean;
    toByte(sizeString: string): number;
    readFile(file: any, data: any, index: any): void;
}
