import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
export declare class UiSliderComponent implements OnInit, AfterViewInit, OnChanges {
    elementRef: ElementRef;
    multiHandle: boolean;
    valueModel: any;
    mouseDown: boolean;
    percentageBlock: number;
    valueElement: HTMLElement;
    getPercentageLeft: Function;
    getPercentageRight: Function;
    hideBalloon: boolean;
    disabled: boolean;
    begin: number;
    end: number;
    direction: string;
    value: number;
    range: number[];
    color: string;
    textColor: string;
    valueChange: EventEmitter<number>;
    viewFormat: Function;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    registerEventsListeners(): void;
    change(event: any, mouseUp?: any): void;
    toggleBalloon(active?: any, right?: any): void;
    toggleTackOn(active?: any): void;
    getPositionInIndex(position: any): number;
    closestNumber(number: any): {
        index: number;
        value: number;
    };
    getPercentage(): number;
}
