import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { UiTabContentDirective } from './tab-content.directive';
import { UiTabLabelDirective } from './tab-label.directive';
export declare class UiTabComponent implements OnInit, OnDestroy {
    private viewContainer;
    private changeDetectorRef;
    tabContent: TemplateRef<any>;
    templateContent: UiTabContentDirective;
    templateLabel: UiTabLabelDirective;
    label: string;
    icon: string;
    disabled: string;
    private subscription;
    isActive: boolean;
    index: number;
    indexActivatedTab: number;
    tabChange: EventEmitter<boolean>;
    loaded: boolean;
    constructor(viewContainer: ViewContainerRef, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
