import { EventEmitter, OnChanges, OnInit, OnDestroy, ElementRef, AfterViewInit } from '@angular/core';
import { UiTimePickerService } from './time-picker.service';
import { Subject } from 'rxjs';
export declare class UiTimePickerDirective implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    timePickerService: UiTimePickerService;
    element: ElementRef;
    ngModel: any;
    confirmSelection: boolean;
    themeClass: string;
    timePicker: string;
    select: EventEmitter<any>;
    ngModelChange: EventEmitter<any>;
    chosen: Subject<any>;
    constructor(timePickerService: UiTimePickerService, element: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(value: any): void;
    ngOnDestroy(): void;
}
