import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { Upload } from './upload';
export declare class UiUploadComponent extends Upload implements OnInit, OnChanges {
    inputFileRef: any;
    ngModel: any;
    modelConfig: any;
    message: string;
    max: number;
    maxLength: number;
    maxSize: string;
    maxFileSize: string;
    multiple: boolean;
    disabled: boolean;
    ngModelChange: EventEmitter<any>;
    remove: EventEmitter<any>;
    model: any;
    isDragging: boolean;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onDragEnter(event: any): void;
    onDragOver(event: any): void;
    onDragLeave(event: any): void;
    onDrop(event: any): void;
}
