import { ElementRef, EventEmitter, AfterViewInit, OnChanges } from '@angular/core';
import { ControlValueAccessor, FormControl, Validator } from '@angular/forms';
import { UiCepPipe } from './cep.pipe';
export declare class UiMaskCepDirective implements ControlValueAccessor, Validator, AfterViewInit, OnChanges {
    elementRef: ElementRef;
    cepPipe: UiCepPipe;
    loaded: boolean;
    input: boolean;
    beforeSelIndex: any;
    onChange: Function;
    onTouched: Function;
    control: FormControl;
    symbolsPositions: number[];
    ngModel: any;
    ngModelChange: EventEmitter<any>;
    constructor(elementRef: ElementRef, cepPipe: UiCepPipe);
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    format(value: any): any;
    validate(control: FormControl): {
        [key: string]: any;
    };
    setDisabledState(isDisabled: boolean): void;
    onKeydown(): void;
    onInput($event: any): void;
}
