import { AfterViewInit, ElementRef, EventEmitter, OnChanges } from '@angular/core';
import { ControlValueAccessor, FormControl, Validator } from '@angular/forms';
import { UiCnpjPipe } from './cnpj.pipe';
export declare class UiMaskCnpjDirective implements ControlValueAccessor, Validator, AfterViewInit, OnChanges {
    elementRef: ElementRef;
    cnpjPipe: UiCnpjPipe;
    loaded: boolean;
    input: boolean;
    beforeSelIndex: any;
    onChange: Function;
    onTouched: Function;
    control: FormControl;
    symbolsPositions: number[];
    ngModel: any;
    padOnPaste: boolean;
    uiMaskCnpj: any;
    ngModelChange: EventEmitter<any>;
    constructor(elementRef: ElementRef, cnpjPipe: UiCnpjPipe);
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    format(value: any): any;
    validate(control: FormControl): {
        [key: string]: any;
    };
    setDisabledState(isDisabled: boolean): void;
    cnpjIsValid(cnpj: any): boolean;
    onKeydown(): void;
    onInput($event: any): void;
    padLeft(event: any): void;
}
