import { AfterViewInit, ElementRef, EventEmitter, OnChanges } from '@angular/core';
import { ControlValueAccessor, FormControl, Validator } from '@angular/forms';
import { UiCurrencyPipe } from './currency.pipe';
export declare class UiMaskCurrencyDirective implements ControlValueAccessor, Validator, AfterViewInit, OnChanges {
    elementRef: ElementRef;
    currencyPipe: UiCurrencyPipe;
    loaded: boolean;
    input: boolean;
    beforeViewValue: any;
    beforeSelIndex: any;
    onChange: Function;
    onTouched: Function;
    control: FormControl;
    ngModel: any;
    ngModelChange: EventEmitter<any>;
    min: number;
    max: number;
    noNegative: boolean;
    constructor(elementRef: ElementRef, currencyPipe: UiCurrencyPipe);
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    format(value: any): number;
    formatViewValue(value: any): any;
    validate(control: FormControl): {
        [key: string]: any;
    };
    setDisabledState(isDisabled: boolean): void;
    onKeydown(): void;
    onInput($event: any): void;
}
