import { ElementRef, EventEmitter, AfterViewInit, OnChanges } from '@angular/core';
import { ControlValueAccessor, FormControl, Validator } from '@angular/forms';
import { UiTimePipe } from './time.pipe';
export declare class UiMaskTimeDirective implements ControlValueAccessor, Validator, AfterViewInit, OnChanges {
    elementRef: ElementRef;
    timePipe: UiTimePipe;
    loaded: boolean;
    input: boolean;
    beforeSelIndex: any;
    onChange: Function;
    onTouched: Function;
    control: FormControl;
    symbolsPositions: number[];
    ngModel: any;
    minTime: string;
    maxTime: string;
    customTime: boolean;
    ngModelChange: EventEmitter<any>;
    constructor(elementRef: ElementRef, timePipe: UiTimePipe);
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    writeValue(rawValue: any): void;
    renderViaInput(rawValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    format(value: any): any;
    validate(control: FormControl): {
        [key: string]: any;
    };
    setDisabledState(isDisabled: boolean): void;
    onKeydown(): void;
    onInput(): void;
}
